6.0.0-git
2019-04-23

[#10361] add confirmation for deleting time slices
Summary add confirmation for deleting time slices
Queue Hermes
Queue Version Git master
Type Enhancement
State Resolved
Priority 1. Low
Owners mrubinsk (at) horde (dot) org
Requester roman (at) stachura (dot) ch
Created 2011-07-20 (2834 days ago)
Due
Updated 2014-01-18 (1921 days ago)
Assigned
Resolved 2014-01-18 (1921 days ago)
Milestone
Patch No

History
2014-01-18 23:30:46 Michael Rubinsky State ⇒ Resolved
 
2014-01-18 23:30:13 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (master):

commit 8ba077496077a64aae405730727203f555e0ec98
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Sat Jan 18 18:28:28 2014 -0500

     Request: 10361 Display confirmation before deleting time slices.

  hermes/js/hermes.js                     |   38 +++++++++++++++++++++---------
  hermes/lib/Ajax/Application/Handler.php |   10 +++++--
  hermes/templates/dynamic/slices.inc     |   10 +++++++-
  3 files changed, 42 insertions(+), 16 deletions(-)

http://git.horde.org/horde-git/-/commit/8ba077496077a64aae405730727203f555e0ec98
2011-08-11 15:20:51 Michael Rubinsky Comment #2
Assigned to Michael Rubinsky
Summary ⇒ add confirmation for deleting time slices
State ⇒ Accepted
Reply to this comment
The main reasoning behind the addition of the ajax interface was to 
provide an extremely simple interface for adding/editing time slices, 
with as little clicks as possible. We wanted both the time entry form 
AND the slices visible on the same page. Adding a dialog like in 
Kronolith would go against this requirement as it would require 
additional clicks.

The delete confirmation isn't a bad idea though, probably a small 
contextual-style popup or similar.
2011-07-20 12:07:12 roman (at) stachura (dot) ch New Attachment: Basic panel structure.gif Download
 
2011-07-20 12:04:36 roman (at) stachura (dot) ch Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ hermes dynamic interface enhancement
Queue ⇒ Hermes
Milestone ⇒
Patch ⇒ No
Reply to this comment
the new dynamic hermes template looks promising!
great work. :-)

Some thoughts on the work in progress for H4 dynamic Interface for Hermes:

--> Delete items:  pop-up a Dialog Box or provide a way recover them.
--> if a user edit a time object, take them to a "Dialog/Panel" --> 
like Kronolith event-overlay Panel.

http://bugs.horde.org/ticket/10360

Saved Queries